import { ExtensionId } from '../constants';
import { NodeApi } from '../../json-crdt/model/api/nodes';
import { ExtNode } from '../../json-crdt/extensions/ExtNode';
import { Extension } from '../../json-crdt/extensions/Extension';
import { NodeBuilder, type ObjNode } from '../../json-crdt';
import type { ExtApi } from '../../json-crdt';
declare class CntNode extends ExtNode<ObjNode, number> {
    readonly extId = ExtensionId.cnt;
    name(): string;
    view(): number;
}
declare class CntApi extends NodeApi<CntNode> implements ExtApi<CntNode> {
    inc(increment: number): this;
}
export declare const cnt: Extension<ExtensionId.cnt, ObjNode<Record<string, import("../../json-crdt").JsonNode<unknown>>>, CntNode, CntApi, [value?: any, sid?: any], NodeBuilder>;
export {};
